Index: /branches/version-2_13_0/data/Smarty/templates/admin/system/input.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/system/input.tpl	(revision 23140)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/system/input.tpl	(revision 23212)
@@ -47,5 +47,5 @@
             <td>
                 <!--{if $arrErr.name}--><span class="attention"><!--{$arrErr.name}--></span><!--{/if}-->
-                <input type="text" name="name" size="30" class="box30" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" />
+                <input type="text" name="name" size="30" class="box30" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.name|sfGetErrorColor}-->" />
                 <span class="attention">※必須入力</span>
             </td>
@@ -55,5 +55,5 @@
             <td>
                 <!--{if $arrErr.department}--><span class="attention"><!--{$arrErr.department}--></span><!--{/if}-->
-                <input type="text" name="department" size="30" class="box30" value="<!--{$arrForm.department|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" />
+                <input type="text" name="department" size="30" class="box30" value="<!--{$arrForm.department|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.department|sfGetErrorColor}-->" />
             </td>
         </tr>
@@ -62,5 +62,5 @@
             <td>
                 <!--{if $arrErr.login_id}--><span class="attention"><!--{$arrErr.login_id}--></span><!--{/if}-->
-                <input type="text" name="login_id" size="20" class="box20"    value="<!--{$arrForm.login_id|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->"/>
+                <input type="text" name="login_id" size="20" class="box20" value="<!--{$arrForm.login_id|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.login_id|sfGetErrorColor}-->" />
                 <span class="attention">※必須入力</span><br />
                 ※半角英数字<!--{$smarty.const.ID_MIN_LEN}-->～<!--{$smarty.const.ID_MAX_LEN}-->文字
@@ -71,9 +71,9 @@
             <td>
                 <!--{if $arrErr.password}--><span class="attention"><!--{$arrErr.password}--><!--{$arrErr.password02}--></span><!--{/if}-->
-                <input type="password" name="password" size="20" class="box20" value="<!--{$arrForm.password}-->" onfocus="<!--{$tpl_onfocus}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->"/>
+                <input type="password" name="password" size="20" class="box20" value="<!--{$arrForm.password}-->" onfocus="<!--{$tpl_onfocus}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.password|sfGetErrorColor}-->" />
                 <span class="attention">※必須入力</span><br />
                 ※半角英数字<!--{$smarty.const.ID_MIN_LEN}-->～<!--{$smarty.const.ID_MAX_LEN}-->文字
                 <br />
-                <input type="password" name="password02" size="20" class="box20" value="<!--{$arrForm.password02}-->" onfocus="<!--{$tpl_onfocus}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->"/>
+                <input type="password" name="password02" size="20" class="box20" value="<!--{$arrForm.password02}-->" onfocus="<!--{$tpl_onfocus}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.password02|sfGetErrorColor}-->" />
                 <p><span class="attention mini">確認のために2度入力してください。</span></p>
             </td>
@@ -83,5 +83,5 @@
             <td>
                 <!--{if $arrErr.authority}--><span class="attention"><!--{$arrErr.authority}--></span><!--{/if}-->
-                <select name="authority">
+                <select name="authority" style="<!--{$arrErr.authority|sfGetErrorColor}-->">
                     <option value="">選択してください</option>
                     <!--{html_options options=$arrAUTHORITY selected=$arrForm.authority}-->
@@ -95,6 +95,8 @@
                 <!--{if $arrErr.work}--><span class="attention"><!--{$arrErr.work}--></span><!--{/if}-->
                 <!--{assign var=key value="work"}-->
-                <input type="radio" id="<!--{$key}-->_1" name="<!--{$key}-->" value="1" style="<!--{$arrErr.work|sfGetErrorColor}-->" <!--{$arrForm.work|sfGetChecked:1}--> /><label for="<!--{$key}-->_1"><!--{$arrWORK.1}--></label>
-                <input type="radio" id="<!--{$key}-->_0" name="<!--{$key}-->" value="0" style="<!--{$arrErr.work|sfGetErrorColor}-->" <!--{$arrForm.work|sfGetChecked:0}--> /><label for="<!--{$key}-->_0"><!--{$arrWORK.0}--></label>
+                <span style="<!--{$arrErr.work|sfGetErrorColor}-->">
+                <input type="radio" id="<!--{$key}-->_1" name="<!--{$key}-->" value="1" <!--{$arrForm.work|sfGetChecked:1}--> /><label for="<!--{$key}-->_1"><!--{$arrWORK.1}--></label>
+                <input type="radio" id="<!--{$key}-->_0" name="<!--{$key}-->" value="0" <!--{$arrForm.work|sfGetChecked:0}--> /><label for="<!--{$key}-->_0"><!--{$arrWORK.0}--></label>
+                </span>
                 <span class="attention">※必須入力</span>
             </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl	(revision 23183)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/basis/tax.tpl	(revision 23212)
@@ -18,5 +18,7 @@
             <td>
                 <span class="attention"><!--{$arrErr.product_tax_flg}--></span>
+                <span style="<!--{$arrErr.product_tax_flg|sfGetErrorColor}-->">
                 <!--{html_radios name="product_tax_flg" options=$arrEnable selected=$arrForm.product_tax_flg.value}-->
+                </span>
             </td>
         </tr>
@@ -37,5 +39,5 @@
             <td>
                 <span class="attention"><!--{$arrErr.tax_rate}--></span>
-                <input type="text" name="tax_rate" value="<!--{$arrForm.tax_rate.value|h}-->" maxlength="<!--{$smarty.const.PERCENTAGE_LEN}-->" size="6" class="box6" style="<!--{if $arrErr.tax_rate != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" /> ％
+                <input type="text" name="tax_rate" value="<!--{$arrForm.tax_rate.value|h}-->" maxlength="<!--{$smarty.const.PERCENTAGE_LEN}-->" size="6" class="box6" style="<!--{$arrErr.tax_rate|sfGetErrorColor}-->" /> ％
             </td>
         </tr>
@@ -44,5 +46,7 @@
             <td>
                 <span class="attention"><!--{$arrErr.calc_rule}--></span>
+                <span style="<!--{$arrErr.calc_rule|sfGetErrorColor}-->">
                 <!--{html_radios name="calc_rule" options=$arrTAXCALCRULE selected=$arrForm.calc_rule.value}-->
+                </span>
             </td>
         </tr>
@@ -51,33 +55,35 @@
             <th>適用日時<span class="attention"> *</span></th>
             <td><span class="attention"><!--{$arrErr.apply_date}--></span>
-                <!--{assign var=key value="apply_date_year"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <!--{assign var=key1 value="apply_date_year"}-->
+                <!--{assign var=key2 value="apply_date_month"}-->
+                <!--{assign var=key3 value="apply_date_day"}-->
+                <!--{assign var=key4 value="apply_date_hour"}-->
+                <!--{assign var=key5 value="apply_date_minutes"}-->
+                
+                <span class="attention"><!--{$arrErr[$key1]}--></span>
+                <span class="attention"><!--{$arrErr[$key2]}--></span>
+                <span class="attention"><!--{$arrErr[$key3]}--></span>
+                <span class="attention"><!--{$arrErr[$key4]}--></span>
+                <span class="attention"><!--{$arrErr[$key5]}--></span>
+
+                <select name="<!--{$key1}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->">
                 <option value="" selected="selected">------</option>
-                <!--{html_options options=$arrYear selected=$arrForm[$key].value|h}-->
+                <!--{html_options options=$arrYear selected=$arrForm[$key1].value|h}-->
                 </select>年
-                <!--{assign var=key value="apply_date_month"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <select name="<!--{$key2}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->">
                 <option value="" selected="selected">----</option>
-                <!--{html_options options=$objDate->getMonth() selected=$arrForm[$key].value|h}-->
+                <!--{html_options options=$objDate->getMonth() selected=$arrForm[$key2].value|h}-->
                 </select>月
-                <!--{assign var=key value="apply_date_day"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <select name="<!--{$key3}-->" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->">
                 <option value="" selected="selected">----</option>
-                <!--{html_options options=$objDate->getDay() selected=$arrForm[$key].value|h}-->
+                <!--{html_options options=$objDate->getDay() selected=$arrForm[$key3].value|h}-->
                 </select>日
-                <!--{assign var=key value="apply_date_hour"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <select name="<!--{$key4}-->" style="<!--{$arrErr[$key4]|sfGetErrorColor}-->">
                 <option value="" selected="selected">----</option>
-                <!--{html_options options=$objDate->getHour() selected=$arrForm[$key].value|h}-->
+                <!--{html_options options=$objDate->getHour() selected=$arrForm[$key4].value|h}-->
                 </select>時
-                <!--{assign var=key value="apply_date_minutes"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <select name="<!--{$key5}-->" style="<!--{$arrErr[$key5]|sfGetErrorColor}-->">
                 <option value="" selected="selected">----</option>
-                <!--{html_options options=$arrMinutes selected=$arrForm[$key].value|h}-->
+                <!--{html_options options=$arrMinutes selected=$arrForm[$key5].value|h}-->
                 </select>分
             </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/basis/delivery_input.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/basis/delivery_input.tpl	(revision 23140)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/basis/delivery_input.tpl	(revision 23212)
@@ -94,5 +94,10 @@
             <tr>
                 <th>商品種別</th>
-                <td><span class="attention"><!--{$arrErr[$key]}--></span><!--{html_radios name=$key options=$arrProductType selected=$arrForm[$key].value separator='&nbsp;&nbsp;'}--></td>
+                <td>
+                    <span class="attention"><!--{$arrErr[$key]}--></span>
+                    <span style="<!--{$arrErr[$key]|sfGetErrorColor}-->">
+                    <!--{html_radios name=$key options=$arrProductType selected=$arrForm[$key].value separator='&nbsp;&nbsp;'}-->
+                    </span>
+                </td>
             </tr>
         </table>
@@ -105,5 +110,7 @@
                 <td>
                     <span class="attention"><!--{$arrErr[$key]}--></span>
+                    <span style="<!--{$arrErr[$key]|sfGetErrorColor}-->">
                     <!--{html_checkboxes name=$key options=$arrPayments selected=$arrForm[$key].value separator='&nbsp;&nbsp;'}-->
+                    </span>
                 </td>
             </tr>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/basis/holiday.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/basis/holiday.tpl	(revision 23103)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/basis/holiday.tpl	(revision 23212)
@@ -34,5 +34,5 @@
                 <td>
                     <!--{if $arrErr.title}--><span class="attention"><!--{$arrErr.title}--></span><!--{/if}-->
-                    <input type="text" name="title" value="<!--{$arrForm.title.value|h}-->" maxlength="<!--{$smarty.const.SMTEXT_LEN}-->" style="" size="60" class="box60"/>
+                    <input type="text" name="title" value="<!--{$arrForm.title.value|h}-->" maxlength="<!--{$smarty.const.SMTEXT_LEN}-->" style="<!--{$arrErr.title|sfGetErrorColor}-->" size="60" class="box60"/>
                     <span class="attention"> (上限<!--{$smarty.const.SMTEXT_LEN}-->文字)</span>
                 </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/products/maker.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/products/maker.tpl	(revision 23103)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/products/maker.tpl	(revision 23212)
@@ -35,5 +35,5 @@
                     <!--{if $arrErr.maker_id}--><span class="attention"><!--{$arrErr.maker_id}--></span><br /><!--{/if}-->
                     <!--{if $arrErr.name}--><span class="attention"><!--{$arrErr.name}--></span><!--{/if}-->
-                    <input type="text" name="name" value="<!--{$arrForm.name.value|h}-->" maxlength="<!--{$smarty.const.SMTEXT_LEN}-->" style="" size="60" class="box60"/>
+                    <input type="text" name="name" value="<!--{$arrForm.name.value|h}-->" maxlength="<!--{$smarty.const.SMTEXT_LEN}-->" size="60" class="box60"<!--{if $arrErr.maker_id || $arrErr.name}--> <!--{sfSetErrorStyle}--><!--{/if}--> />
                     <span class="attention"> (上限<!--{$smarty.const.SMTEXT_LEN}-->文字)</span>
                 </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/products/classcategory.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/products/classcategory.tpl	(revision 23209)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/products/classcategory.tpl	(revision 23212)
@@ -43,5 +43,5 @@
                         <span class="attention"><!--{$arrErr.name}--></span>
                     <!--{/if}-->
-                    <input type="text" name="name" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="" size="30" class="box30" />
+                    <input type="text" name="name" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.name|sfGetErrorColor}-->" size="30" class="box30" />
                     <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
                 </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/products/class.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/products/class.tpl	(revision 23140)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/products/class.tpl	(revision 23212)
@@ -36,5 +36,5 @@
                         <span class="attention"><!--{$arrErr.name}--></span>
                     <!--{/if}-->
-                    <input type="text" name="name" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="" size="30" class="box30" />
+                    <input type="text" name="name" value="<!--{$arrForm.name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.name|sfGetErrorColor}-->" size="30" class="box30" />
                     <span class="attention"> (上限<!--{$smarty.const.STEXT_LEN}-->文字)</span>
                 </td>
Index: /branches/version-2_13_0/data/Smarty/templates/admin/products/category.tpl
===================================================================
--- /branches/version-2_13_0/data/Smarty/templates/admin/products/category.tpl	(revision 23104)
+++ /branches/version-2_13_0/data/Smarty/templates/admin/products/category.tpl	(revision 23212)
@@ -61,5 +61,5 @@
                     <span class="attention"><!--{$arrErr.category_name}--></span>
                     <!--{/if}-->
-                    <input type="text" name="category_name" value="<!--{$arrForm.category_name|h}-->" size="30" class="box30" maxlength="<!--{$smarty.const.STEXT_LEN}-->" />
+                    <input type="text" name="category_name" value="<!--{$arrForm.category_name|h}-->" size="30" class="box30" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.category_name|sfGetErrorColor}-->" />
                     <a class="btn-normal" href="javascript:;" onclick="eccube.setModeAndSubmit('edit','',''); return false;"><span class="btn-next">登録</span></a><span class="attention">&nbsp;（上限<!--{$smarty.const.STEXT_LEN}-->文字）</span>
             </div>