Index: branches/version-2_13-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- branches/version-2_13-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 23124)
+++ branches/version-2_13-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 23230)
@@ -25,5 +25,5 @@
 
 /**
- * ã¡ã«ãã¬ç®¡ç ã®ãã¼ã¸ã¯ã©ã¹.
+ * メルマガ管理 のページクラス.
  *
  * @package Page
@@ -34,5 +34,5 @@
 {
     /**
-     * Page ãåæåãã.
+     * Page を初期化する.
      *
      * @return void
@@ -45,19 +45,17 @@
         $this->tpl_subno = 'index';
         $this->tpl_pager = 'pager.tpl';
-        $this->tpl_maintitle = 'ã¡ã«ãã¬ç®¡ç';
-        $this->tpl_subtitle = 'é
-ä¿¡å
-å®¹è¨­å®';
+        $this->tpl_maintitle = 'メルマガ管理';
+        $this->tpl_subtitle = '配信内容設定';
 
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrPref = $masterData->getMasterData('mtb_pref');
         $this->arrJob = $masterData->getMasterData('mtb_job');
-        $this->arrJob['ä¸æ'] = 'ä¸æ';
+        $this->arrJob['不明'] = '不明';
         $this->arrSex = $masterData->getMasterData('mtb_sex');
         $this->arrPageRows = $masterData->getMasterData('mtb_page_max');
-        $this->arrHtmlmail = array('' => 'ä¸¡æ¹',  1 => 'HTML', 2 => 'TEXT');
+        $this->arrHtmlmail = array('' => '両方',  1 => 'HTML', 2 => 'TEXT');
         $this->arrMailType = $masterData->getMasterData('mtb_mail_type');
 
-        // æ¥ä»ãã«ãã¦ã³è¨­å®
+        // 日付プルダウン設定
         $objDate = new SC_Date_Ex(BIRTH_YEAR);
         $this->arrBirthYear = $objDate->getYear();
@@ -67,9 +65,9 @@
         $this->objDate = $objDate;
 
-        // ã«ãã´ãªä¸è¦§è¨­å®
+        // カテゴリ一覧設定
         $objDb = new SC_Helper_DB_Ex();
         $this->arrCatList = $objDb->sfGetCategoryList();
 
-        // ãã³ãã¬ã¼ãä¸è¦§è¨­å®
+        // テンプレート一覧設定
         $this->arrTemplate = $this->lfGetMailTemplateList(SC_Helper_Mail_Ex::sfGetMailmagaTemplate());
 
@@ -78,5 +76,5 @@
 
     /**
-     * Page ã®ãã­ã»ã¹.
+     * Page のプロセス.
      *
      * @return void
@@ -89,5 +87,5 @@
 
     /**
-     * Page ã®ã¢ã¯ã·ã§ã³.
+     * Page のアクション.
      *
      * @return void
@@ -95,23 +93,20 @@
     public function action()
     {
-        // ãã©ã¡ã¼ã¿ã¼ç®¡çã¯ã©ã¹
+        // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParamSearchCustomer($objFormParam);
         $objFormParam->setParam($_POST);
 
-        // ãã©ã¡ã¼ã¿ã¼èª­ã¿è¾¼ã¿
+        // パラメーター読み込み
         $this->arrHidden = $objFormParam->getSearchArray();
 
-        // å
-¥åãã©ã¡ã¼ã¿ã¼ãã§ãã¯
+        // 入力パラメーターチェック
         $this->arrErr = SC_Helper_Customer_Ex::sfCheckErrorSearchParam($objFormParam);
         $this->arrForm = $objFormParam->getFormParamList();
         if (!SC_Utils_Ex::isBlank($this->arrErr)) return;
 
-        // ã¢ã¼ãã«ããå¦çåãæ¿ã
+        // モードによる処理切り替え
         switch ($this->getMode()) {
-            // é
-ä¿¡å
-æ¤ç´¢
+            // 配信先検索
             case 'search':
             case 'back':
@@ -119,11 +114,9 @@
                 $this->arrPagenavi = $this->objNavi->arrPagenavi;
                 break;
-            // input:æ¤ç´¢çµæç»é¢ãé
-ä¿¡å
-å®¹ãè¨­å®ãããæ¼ä¸å¾
+            // input:検索結果画面「配信内容を設定する」押下後
             case 'input':
                 $this->tpl_mainpage = 'mail/input.tpl';
                 break;
-            // template:ãã³ãã¬ã¼ãé¸ææ
+            // template:テンプレート選択時
             case 'template':
             case 'regist_back':
@@ -132,7 +125,5 @@
                     $this->lfAddParamSelectTemplate($objFormParam);
                     $this->lfGetTemplateData($objFormParam, $_POST['template_id']);
-                    // regist_backæãsubject,bodyã«ã¯ãã³ãã¬ã¼ããèª­ã¿è¾¼ãã®ã§ã¯ãªããå
-¥åå
-å®¹ã§ä¸æ¸ã
+                    // regist_back時、subject,bodyにはテンプレートを読み込むのではなく、入力内容で上書き
                     if ($this->getMode()=='regist_back') {
                         $objFormParam->setParam($_POST);
@@ -154,26 +145,24 @@
                 if (SC_Utils_Ex::isBlank($this->arrErr)) {
                     $this->tpl_mainpage = 'mail/index.tpl';
-                    SC_Helper_Mail_Ex::sfSendMailmagazine($this->lfRegisterData($objFormParam));  // DBç»é²ã»éä¿¡
+                    SC_Helper_Mail_Ex::sfSendMailmagazine($this->lfRegisterData($objFormParam));  // DB登録・送信
 
                     SC_Response_Ex::sendRedirect('./history.php');
                 }
                 break;
-            // query:é
-ä¿¡å±¥æ­´ãããç¢ºèªã
+            // query:配信履歴から「確認」
             case 'query':
                 if (SC_Utils_Ex::sfIsInt($_GET['send_id'])) {
-                    $this->arrSearchData = $this->lfGetMailQuery();
+                    $this->arrSearchData = $this->lfGetMailQuery($_GET['send_id']);
                 }
                 $this->setTemplate('mail/query.tpl');
                 break;
-            // query:é
-ä¿¡å±¥æ­´ãããåéä¿¡ã
+            // query:配信履歴から「再送信」
             case 'retry':
                 if (SC_Utils_Ex::sfIsInt($_GET['send_id'])) {
-                    SC_Helper_Mail_Ex::sfSendMailmagazine($_GET['send_id']);  // DBç»é²ã»éä¿¡
+                    SC_Helper_Mail_Ex::sfSendMailmagazine($_GET['send_id']);  // DB登録・送信
 
                     SC_Response_Ex::sendRedirect('./history.php');
                 } else {
-                    $this->tpl_onload = "window.alert('ã¡ã¼ã«éä¿¡IDãæ­£ããããã¾ãã');";
+                    $this->tpl_onload = "window.alert('メール送信IDが正しくありません');";
                 }
                 break;
@@ -185,8 +174,7 @@
 
     /**
-     * ãã©ã¡ã¼ã¿ã¼æ
-å ±ã®åæåï¼åæä¼å¡æ¤ç´¢æï¼
-     *
-     * @param  array $objFormParam ãã©ã¼ã ãã©ã¡ã¼ã¿ã¼ã¯ã©ã¹
+     * パラメーター情報の初期化（初期会員検索時）
+     *
+     * @param  array $objFormParam フォームパラメータークラス
      * @return void
      */
@@ -194,32 +182,27 @@
     {
         SC_Helper_Customer_Ex::sfSetSearchParam($objFormParam);
-        $objFormParam->addParam('é
-ä¿¡å½¢å¼', 'search_htmlmail', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('é
-ä¿¡ã¡ã¼ã«ã¢ãã¬ã¹ç¨®å¥', 'search_mail_type', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
-    }
-
-    /**
-     * ãã©ã¡ã¼ã¿ã¼æ
-å ±ã®è¿½å ï¼ãã³ãã¬ã¼ãé¸æï¼
-     *
-     * @param  array $objFormParam ãã©ã¼ã ãã©ã¡ã¼ã¿ã¼ã¯ã©ã¹
+        $objFormParam->addParam('配信形式', 'search_htmlmail', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('配信メールアドレス種別', 'search_mail_type', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
+    }
+
+    /**
+     * パラメーター情報の追加（テンプレート選択）
+     *
+     * @param  array $objFormParam フォームパラメータークラス
      * @return void
      */
     public function lfAddParamSelectTemplate(&$objFormParam)
     {
-        $objFormParam->addParam('ã¡ã¼ã«å½¢å¼', 'mail_method', INT_LEN, 'n', array('EXIST_CHECK','ALNUM_CHECK'));
+        $objFormParam->addParam('メール形式', 'mail_method', INT_LEN, 'n', array('EXIST_CHECK','ALNUM_CHECK'));
         $objFormParam->addParam('Subject', 'subject', STEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('æ¬æ', 'body', LLTEXT_LEN, 'KVCa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('ãã³ãã¬ã¼ãID', 'template_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
-    }
-
-    /**
-     * ã¡ã«ãã¬ãã³ãã¬ã¼ãä¸è¦§æ
-å ±ã®åå¾
-     *
-     * @param  array $arrTemplate SC_Helper_Mail_Ex::sfGetMailmagaTemplate()ã®æ»ãå¤
-     * @return array key:template_id value:ãµãã¸ã§ã¯ããé
-ä¿¡å½¢å¼ã
+        $objFormParam->addParam('本文', 'body', LLTEXT_LEN, 'KVCa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('テンプレートID', 'template_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
+    }
+
+    /**
+     * メルマガテンプレート一覧情報の取得
+     *
+     * @param  array $arrTemplate SC_Helper_Mail_Ex::sfGetMailmagaTemplate()の戻り値
+     * @return array key:template_id value:サブジェクト【配信形式】
      */
     public function lfGetMailTemplateList($arrTemplate)
@@ -227,5 +210,5 @@
         if (is_array($arrTemplate)) {
             foreach ($arrTemplate as $line) {
-                $return[$line['template_id']] = 'ã' . $this->arrHtmlmail[$line['mail_method']] . 'ã' . $line['subject'];
+                $return[$line['template_id']] = '【' . $this->arrHtmlmail[$line['mail_method']] . '】' . $line['subject'];
             }
         }
@@ -235,9 +218,8 @@
 
     /**
-     * ãã³ãã¬ã¼ãIDããæ
-å ±ã®åå¾ãã¦$objFormParamã«set_paramãã
-     *
-     * @param  array $objFormParam ãã©ã¼ã ãã©ã¡ã¼ã¿ã¼ã¯ã©ã¹
-     * @param  array $template_id  ãã³ãã¬ã¼ãID
+     * テンプレートIDから情報の取得して$objFormParamにset_paramする
+     *
+     * @param  array $objFormParam フォームパラメータークラス
+     * @param  array $template_id  テンプレートID
      * @return void
      */
@@ -252,10 +234,7 @@
 
     /**
-     * é
-ä¿¡å
-å®¹ã¨é
-ä¿¡ãªã¹ããæ¸ãè¾¼ã
-     *
-     * @return integer ç»é²ããè¡ã® dtb_send_history.send_id ã®å¤
+     * 配信内容と配信リストを書き込む
+     *
+     * @return integer 登録した行の dtb_send_history.send_id の値
      */
     public function lfRegisterData(&$objFormParam)
@@ -279,7 +258,5 @@
         $dtb_send_history['send_id'] = $send_id;
         $objQuery->insert('dtb_send_history', $dtb_send_history);
-        // ãé
-ä¿¡ã¡ã¼ã«ã¢ãã¬ã¹ç¨®å¥ãã«æºå¸¯ã¡ã¼ã«ã¢ãã¬ã¹ãæå®ããã¦ããå ´åã¯ãæºå¸¯ã¡ã¼ã«ã¢ãã¬ã¹ã«é
-ä¿¡
+        // 「配信メールアドレス種別」に携帯メールアドレスが指定されている場合は、携帯メールアドレスに配信
         $emailtype='email';
         $searchmailtype = $objFormParam->getValue('search_mail_type');
@@ -302,8 +279,7 @@
 
     /**
-     * é
-ä¿¡å±¥æ­´ããæ¡ä»¶ãåå¾ãã
-     *
-     * @param  integer $send_idãé ä¿¡å±¥æ­´çªå·
+     * 配信履歴から条件を取得する
+     *
+     * @param  integer $send_id　配信履歴番号
      * @return array
      */
@@ -312,5 +288,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        // éä¿¡å±¥æ­´ãããéä¿¡æ¡ä»¶ç¢ºèªç»é¢
+        // 送信履歴より、送信条件確認画面
         $sql = 'SELECT search_data FROM dtb_send_history WHERE send_id = ?';
         $searchData = $objQuery->getOne($sql, array($send_id));