Index: /branches/version-2_13-dev/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 23238)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/order/edit.tpl	(revision 23251)
@@ -492,6 +492,4 @@
                 <h2>届け先商品情報&nbsp;<a class="btn-normal" href="javascript:;" name="add_product" onclick="eccube.openWindow('<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->order/product_select.php?order_id=<!--{$arrForm.order_id.value|h}-->&shipping_id=<!--{$shipping_index}-->', 'search', '615', '500', {menubar:'no'}); return false;">商品の追加</a>
                 </h2>
-                <!--{assign var=product_quantity value="shipping_product_quantity"}-->
-                <input type="hidden" name="<!--{$product_quantity}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$product_quantity]|h}-->" />
 
                 <!--{if count($arrShipping.shipment_product_class_id) > 0}-->
@@ -544,6 +542,5 @@
             <!--{else}-->
                 <!-- 配送先が１つでも、shipment_itemを更新するために必要 -->
-                <!--{assign var=product_quantity value="shipping_product_quantity"}-->
-                <input type="hidden" name="<!--{$product_quantity}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$product_quantity]|h}-->" />
+
                 <!--{section name=item loop=$arrShipping.shipment_product_class_id|@count}-->
                     <!--{assign var=item_index value="`$smarty.section.item.index`"}-->
Index: /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23230)
+++ /branches/version-2_13-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 23251)
@@ -419,5 +419,4 @@
         $objFormParam->addParam('お届け日(日)', 'shipping_date_day', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('お届け日', 'shipping_date', STEXT_LEN, 'KVa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('配送商品数量', 'shipping_product_quantity', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
 
         $objFormParam->addParam('商品規格ID', 'shipment_product_class_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -497,5 +496,4 @@
          */
         $arrShipmentForm = array();
-        $arrProductQuantity = array();
         $arrShippingIds = $objFormParam->getValue('shipping_id');
         foreach ($arrShippingIds as $shipping_id) {
@@ -510,9 +508,7 @@
             }
             // お届け先ごとの配送商品数量を設定
-            $arrProductQuantity[$shipping_id] = count($arrShipmentItem[$shipping_id]);
         }
 
         $objFormParam->setParam($arrShipmentForm);
-        $objFormParam->setValue('shipping_product_quantity', $arrProductQuantity);
 
         // 受注商品の数量を変更
@@ -567,8 +563,6 @@
          * $arrProductQuantity[$shipping_id] = お届け先ごとの配送商品数量
          */
-        $arrProductQuantity = array();
         $arrShipmentItem = array();
         foreach ($arrShippings as $shipping_id => $arrShipping) {
-            $arrProductQuantity[$shipping_id] = count($arrShipping['shipment_item']);
             foreach ($arrShipping['shipment_item'] as $item_index => $arrItem) {
                 foreach ($arrItem as $item_key => $item_val) {
@@ -577,5 +571,4 @@
             }
         }
-        $objFormParam->setValue('shipping_product_quantity', $arrProductQuantity);
         $objFormParam->setParam($arrShipmentItem);
 
@@ -1089,5 +1082,5 @@
     {
         $arrShipmentsItems = $objFormParam->getSwapArray(array('shipment_product_class_id','shipment_quantity'));
-        
+
         // 配送先が存在する時のみ、商品個数の再設定を行います
         if(!SC_Utils_Ex::isBlank($arrShipmentsItems)) {