Index: /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRule_OptionProductTaxRuleTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRule_OptionProductTaxRuleTest.php	(revision 23331)
+++ /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRule_OptionProductTaxRuleTest.php	(revision 23333)
@@ -35,5 +35,4 @@
      * @test
      */
-    /*
     public function 引数がからの場合税率設定で設定かつ適用日時内の最新の値が返される()
     {
@@ -57,4 +56,82 @@
 
         $this->verify();
-    }*/
+    }
+
+    /**
+     * @test
+     */
+    public function 商品idを指定した場合商品に設定かつ適用日時内の最新の値が返される()
+    {
+        $this->setUpTax();
+        $this->expected = array(
+            'apply_date' => '2014-02-02 00:00:00',
+            'tax_rate' => '8',
+            'product_id' => '1000',
+            'product_class_id' => '0',
+            'del_flg' => '0'
+        );
+
+        $return = $this->objTaxRule->getTaxRule(1000);
+        $this->actual = array(
+            'apply_date' => $return['apply_date'],
+            'tax_rate' => $return['tax_rate'],
+            'product_id' => $return['product_id'],
+            'product_class_id' => $return['product_class_id'],
+            'del_flg' => $return['del_flg']
+        );
+
+        $this->verify();
+    }
+
+    /**
+     * @test
+     */
+    public function 商品規格idを指定した場合商品に登録かつ適用日時内の最新の値が返される()
+    {
+        $this->setUpTax();
+        $this->expected = array(
+            'apply_date' => '2014-02-03 00:00:00',
+            'tax_rate' => '9',
+            'product_id' => '1000',
+            'product_class_id' => '2000',
+            'del_flg' => '0'
+        );
+
+        $return = $this->objTaxRule->getTaxRule(1000, 2000);
+        $this->actual = array(
+            'apply_date' => $return['apply_date'],
+            'tax_rate' => $return['tax_rate'],
+            'product_id' => $return['product_id'],
+            'product_class_id' => $return['product_class_id'],
+            'del_flg' => $return['del_flg']
+        );
+
+        $this->verify();
+    }
+
+    /**
+     * @test
+     */
+    public function 商品規格idのみを指定した場合税率設定に登録かつ適用日時内の最新の値が返される()
+    {
+        $this->setUpTax();
+        $this->expected = array(
+            'apply_date' => '2014-01-01 00:00:00',
+            'tax_rate' => '5',
+            'product_id' => '0',
+            'product_class_id' => '0',
+            'del_flg' => '0'
+        );
+
+        $return = $this->objTaxRule->getTaxRule(0, 2000);
+        $this->actual = array(
+            'apply_date' => $return['apply_date'],
+            'tax_rate' => $return['tax_rate'],
+            'product_id' => $return['product_id'],
+            'product_class_id' => $return['product_class_id'],
+            'del_flg' => $return['del_flg']
+        );
+
+        $this->verify();
+    }
 }
Index: /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRuleTest.php
===================================================================
--- /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRuleTest.php	(revision 23331)
+++ /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_getTaxRuleTest.php	(revision 23333)
@@ -57,3 +57,55 @@
         $this->verify();
     }
+
+    /**
+     * @test
+     */
+    public function 商品idを指定した場合税率設定で設定かつ適用日時内の最新の値が返される()
+    {
+        $this->setUpTax();
+        $this->expected = array(
+            'apply_date' => '2014-01-01 00:00:00',
+            'tax_rate' => '5',
+            'product_id' => '0',
+            'product_class_id' => '0',
+            'del_flg' => '0'
+        );
+
+        $return = $this->objTaxRule->getTaxRule(1000);
+        $this->actual = array(
+            'apply_date' => $return['apply_date'],
+            'tax_rate' => $return['tax_rate'],
+            'product_id' => $return['product_id'],
+            'product_class_id' => $return['product_class_id'],
+            'del_flg' => $return['del_flg']
+        );
+
+        $this->verify();
+    }
+
+    /**
+     * @test
+     */
+    public function 商品規格idを指定した場合税率設定で設定かつ適用日時内の最新の値が返される()
+    {
+        $this->setUpTax();
+        $this->expected = array(
+            'apply_date' => '2014-02-03 00:00:00',
+            'tax_rate' => '5',
+            'product_id' => '0',
+            'product_class_id' => '0',
+            'del_flg' => '0'
+        );
+
+        $return = $this->objTaxRule->getTaxRule(1000, 2000);
+        $this->actual = array(
+            'apply_date' => $return['apply_date'],
+            'tax_rate' => $return['tax_rate'],
+            'product_id' => $return['product_id'],
+            'product_class_id' => $return['product_class_id'],
+            'del_flg' => $return['del_flg']
+        );
+
+        $this->verify();
+    }
 }
Index: /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_TestBase.php
===================================================================
--- /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_TestBase.php	(revision 23332)
+++ /branches/version-2_13-dev/tests/class/helper/SC_Helper_TaxRule/SC_Helper_TaxRule_TestBase.php	(revision 23333)
@@ -85,5 +85,5 @@
                 'apply_date' => '2014-02-02 00:00:00',
                 'tax_rate' => '8',
-                'product_id' => '1',
+                'product_id' => '1000',
                 'product_class_id' => '0',
                 'del_flg' => '0',
@@ -96,6 +96,6 @@
                 'apply_date' => '2014-02-03 00:00:00',
                 'tax_rate' => '9',
-                'product_id' => '1',
-                'product_class_id' => '1',
+                'product_id' => '1000',
+                'product_class_id' => '2000',
                 'del_flg' => '0',
                 'member_id' => 1,