Index: /branches/version-2_13-dev/data/class/SC_AdminView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_AdminView.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/SC_AdminView.php	(revision 23370)
@@ -33,6 +33,6 @@
         parent::init();
 
-        $this->_smarty->template_dir = TEMPLATE_ADMIN_REALDIR;
-        $this->_smarty->compile_dir = COMPILE_ADMIN_REALDIR;
+        $this->_smarty->template_dir = realpath(TEMPLATE_ADMIN_REALDIR);
+        $this->_smarty->compile_dir = realpath(COMPILE_ADMIN_REALDIR);
         $this->assign('TPL_URLPATH_PC', ROOT_URLPATH . USER_DIR . USER_PACKAGE_DIR . TEMPLATE_NAME . '/');
         $this->assign('TPL_URLPATH_DEFAULT', ROOT_URLPATH . USER_DIR . USER_PACKAGE_DIR . DEFAULT_TEMPLATE_NAME . '/');
Index: /branches/version-2_13-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SiteView.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/SC_SiteView.php	(revision 23370)
@@ -37,6 +37,6 @@
         parent::init();
 
-        $this->_smarty->template_dir = TEMPLATE_REALDIR;
-        $this->_smarty->compile_dir = COMPILE_REALDIR;
+        $this->_smarty->template_dir = realpath(TEMPLATE_REALDIR);
+        $this->_smarty->compile_dir = realpath(COMPILE_REALDIR);
 
         $this->assignTemplatePath(DEVICE_TYPE_PC);
Index: /branches/version-2_13-dev/data/class/SC_InstallView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_InstallView.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/SC_InstallView.php	(revision 23370)
@@ -28,6 +28,6 @@
         parent::__construct();
 
-        $this->_smarty->template_dir = $template_dir;
-        $this->_smarty->compile_dir = $compile_dir;
+        $this->_smarty->template_dir = realpath($template_dir);
+        $this->_smarty->compile_dir = realpath($compile_dir);
     }
 }
Index: /branches/version-2_13-dev/data/class/SC_MobileView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_MobileView.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/SC_MobileView.php	(revision 23370)
@@ -33,6 +33,6 @@
         parent::init();
 
-        $this->_smarty->template_dir = MOBILE_TEMPLATE_REALDIR;
-        $this->_smarty->compile_dir = MOBILE_COMPILE_REALDIR;
+        $this->_smarty->template_dir = realpath(MOBILE_TEMPLATE_REALDIR);
+        $this->_smarty->compile_dir = realpath(MOBILE_COMPILE_REALDIR);
         $this->assignTemplatePath(DEVICE_TYPE_MOBILE);
     }
Index: /branches/version-2_13-dev/data/class/SC_SmartphoneView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SmartphoneView.php	(revision 23124)
+++ /branches/version-2_13-dev/data/class/SC_SmartphoneView.php	(revision 23370)
@@ -33,6 +33,6 @@
         parent::init();
 
-        $this->_smarty->template_dir = SMARTPHONE_TEMPLATE_REALDIR;
-        $this->_smarty->compile_dir = SMARTPHONE_COMPILE_REALDIR;
+        $this->_smarty->template_dir = realpath(SMARTPHONE_TEMPLATE_REALDIR);
+        $this->_smarty->compile_dir = realpath(SMARTPHONE_COMPILE_REALDIR);
         $this->assignTemplatePath(DEVICE_TYPE_SMARTPHONE);
     }
Index: /branches/version-2_13-dev/html/admin/require.php
===================================================================
--- /branches/version-2_13-dev/html/admin/require.php	(revision 22206)
+++ /branches/version-2_13-dev/html/admin/require.php	(revision 23370)
@@ -23,5 +23,8 @@
 
 // rtrim は PHP バージョン依存対策
-define('HTML_REALDIR', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+$GLOBALS['_realdir'] = rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/';
+$GLOBALS['_realdir'] = str_replace('\\', '/', $GLOBALS['_realdir']);
+$GLOBALS['_realdir'] = str_replace('//', '/', $GLOBALS['_realdir']);
+define('HTML_REALDIR', $GLOBALS['_realdir']);
 define('ADMIN_FUNCTION', true);
 
Index: /branches/version-2_13-dev/html/require.php
===================================================================
--- /branches/version-2_13-dev/html/require.php	(revision 22206)
+++ /branches/version-2_13-dev/html/require.php	(revision 23370)
@@ -23,5 +23,8 @@
 
 // rtrim は PHP バージョン依存対策
-define('HTML_REALDIR', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
+$GLOBALS['_realdir'] = rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/';
+$GLOBALS['_realdir'] = str_replace('\\', '/', $GLOBALS['_realdir']);
+$GLOBALS['_realdir'] = str_replace('//', '/', $GLOBALS['_realdir']);
+define('HTML_REALDIR', $GLOBALS['_realdir']);
 
 if (!defined('ADMIN_FUNCTION') || ADMIN_FUNCTION !== true) {
Index: /branches/version-2_13-dev/html/install/index.php
===================================================================
--- /branches/version-2_13-dev/html/install/index.php	(revision 22968)
+++ /branches/version-2_13-dev/html/install/index.php	(revision 23370)
@@ -23,5 +23,8 @@
 // ▼require.php 相当
 // rtrim は PHP バージョン依存対策
-define('HTML_REALDIR', rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
+$GLOBALS['_realdir'] = rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/';
+$GLOBALS['_realdir'] = str_replace('\\', '/', $GLOBALS['_realdir']);
+$GLOBALS['_realdir'] = str_replace('//', '/', $GLOBALS['_realdir']);
+define('HTML_REALDIR', $GLOBALS['_realdir']);
 
 require_once HTML_REALDIR . 'define.php';